import {select} from 'd3'
//-------------------------------------------------
//Svg
const svg = select('body')   
    .append('svg') 
const svgWidth = 900;
const svgHeight = 800;
svg.attr('width', svgWidth)
svg.attr('height', svgHeight)

const margin = { top: 10, right: 50, bottom: 50, left: 50 };
const innerWidth = svgWidth - margin.left - margin.right;
const innerHeight = svgHeight - margin.top - margin.bottom;

const g = svg.append('g') 
 // .attr('transform', `translate(${margin.left},${margin.top})`);

//------------------------------------------------
// generates rectangles
 
let x;
let y
let rect = ( x, y, width, height) => {
   const b = g.append('rect')
              .attr('width', width)
  						.attr('height', height)
              .attr('x', x)
              .attr('y', y)
   return b;
}
//------------------------------------------
// generates circles

const circle = ( r,cx, cy) => {
   const b = g.append('circle')
              .attr('r', r)
              .attr('cx', cx)
              .attr('cy', cy)
   return b;
}
//-----------------------------------------------
//----------------------------------------------

//Circles & Rectangles grid


let width = 50
let number = innerWidth/width
let height = 50
let radius = 20
let a = width+20
console.log(number)
let i,j

for (i=0; i<=number; i++){
  
  for (j=0; j<=number; j++){  
       
     rect(i*a,j*a,width,height)
       .attr('class', 'rect')  
     circle(radius,i*a,j*a)  
       
    .transition().duration(1500)
     
       .attr('transform', `translate(${width/2}, ${height/2})`)
       .attr('class', 'circle')
    .transition().duration(1000) 
         .attr('fill', 'yellow')    
    .attr('opacity', 0.5)
    
}
}

